libpqxx 3.1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
pqxx::prepare::declaration Class Reference

Helper class for declaring parameters to prepared statements. More...

`#include <prepared_statement.hxx>`

## Public Member Functions

| declaration (connection_base &, const std::string &statement)
const declaration & | operator() (const std::string &sqltype, param_treatment=treat_direct) const
| Add a parameter specification to prepared statement declaration.
const declaration & | etc (param_treatment=treat_direct) const
| Permit arbitrary parameters after the last declared one.

## Detailed Description

Helper class for declaring parameters to prepared statements.

You probably won't want to use this class. It's here just so you can declare parameters by adding parenthesized declarations directly after the statement declaration itself:

C.prepare(name, query)(paramtype1)(paramtype2, treatment)(paramtype3);

## Constructor & Destructor Documentation

pqxx::prepare::declaration::declaration | ( | connection_base & | home,
|  | const std::string & | statement
| ) |  |

## Member Function Documentation

const pqxx::prepare::declaration & pqxx::prepare::declaration::etc | ( | param_treatment | treatment = `treat_direct` | ) | const

Permit arbitrary parameters after the last declared one.

When used, this allows an arbitrary number of parameters to be passed after the last declared one. This is similar to the C language's varargs.

Calling this completes the declaration; no parameters can be declared after etc().

const pqxx::prepare::declaration & pqxx::prepare::declaration::operator() | ( | const std::string & | sqltype,
|  | param_treatment | treatment = `treat_direct`
| ) |  | const

Add a parameter specification to prepared statement declaration.

The documentation for this class was generated from the following files:

- prepared_statement.hxx
- prepared_statement.cxx